Bug 1282176 - qutim - not working jabber plugin
qutim - not working jabber plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jreen (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 05:08 EST by Pavel Alexeev
Modified: 2016-01-06 08:14 EST (History)
2 users (show)

See Also:
Fixed In Version: jreen-1.2.1-4.fc23 jreen-1.2.1-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 14:53:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2015-11-15 05:08:38 EST
Description of problem:
$ LANG=C qutim 
"Cannot load library /usr/lib64/qutim/plugins/libjabber.so: (/lib64/libjreen.so.1: undefined symbol: _ZN4XMPP6Ice17622isIPv6LinkLocalAddressERK12QHostAddress)" 
"Cannot load library /usr/lib64/qutim/plugins/libvkontakte.so: (/lib64/libvreen.so.0: undefined symbol: _ZN6K8JSON11parseRecordER8QVariantPKhPi)" 
!!!!!!! '/usr/share/xsessions/plasma' '0x0' ''
QXdg: "/usr/share/icons/breeze" is unknown dir
QXdg: "/usr/share/icons/hicolor" is unknown dir
QXdg: "/usr/share/icons/hicolor" is unknown dir
QXdg: "/usr/share/apps/qutim/icons/hicolor" is unknown dir
Warning: cannot found usable dock provider. May be you forget make install command?

Version-Release number of selected component (if applicable):
$ rpm -q jreen qutim
jreen-1.2.1-3.fc24.x86_64
qutim-0.3.2-5.git.6f3a98a.fc24.x86_64
Comment 1 Pavel Alexeev 2015-11-15 05:09:26 EST
Reported by user directly.

It seems something changed in jreen. Reassigning.
Comment 2 Rex Dieter 2015-11-15 06:42:52 EST
Yeah, this isn't good:

$ ldd -r /lib64/libjreen.so.1 | grep undef
undefined symbol: _ZN4XMPP6Ice17622isIPv6LinkLocalAddressERK12QHostAddress      (/lib64/libjreen.so.1)
undefined symbol: _ZNK4XMPP6Ice17619hasPendingDatagramsEi       (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice17617setLocalAddressesERK5QListINS0_12LocalAddressEE      (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP15UdpPortReserver12setAddressesERK5QListI12QHostAddressE      (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice1765startENS0_4ModeE      (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP15UdpPortReserver8setPortsEii (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice17624setLocalCandidateTrickleEb   (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice17615setPortReserverEPNS_15UdpPortReserverE       (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP15UdpPortReserverC1EP7QObject (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice17615setPeerPasswordERK7QString   (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice17612setPeerUfragERK7QString      (/lib64/libjreen.so.1)
undefined symbol: _ZNK4XMPP6Ice17613localPasswordEv     (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice17617setComponentCountEi  (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice17619addRemoteCandidatesERK5QListINS0_9CandidateEE        (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice17612readDatagramEi       (/lib64/libjreen.so.1)
undefined symbol: _ZNK4XMPP6Ice17610localUfragEv        (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice17613writeDatagramEiRK10QByteArray        (/lib64/libjreen.so.1)
undefined symbol: _ZN4XMPP6Ice176C1EP7QObject   (/lib64/libjreen.so.1)
Comment 3 Pavel Alexeev 2015-11-21 12:23:19 EST
It seams really not jreen issue... Jdns?
Comment 4 Pavel Alexeev 2015-11-21 12:24:55 EST
What also very strange for me what jreen rebuilt without erros (it does not help off course). It does not complain on compile (linking really) time. Why?
Comment 5 Pavel Alexeev 2015-11-28 19:33:36 EST
It works if I downgrade to next packages:
jdns-2.0.2-1.fc22.x86_64.rpm, qjdns-2.0.2-1.fc22.x86_64.rpm, jreen-1.2.0-4.fc22.x86_64.rpm.
Comment 6 Fedora Update System 2015-11-28 21:08:52 EST
jreen-1.2.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ffe6710f5c
Comment 7 Fedora Update System 2015-11-28 21:09:29 EST
jreen-1.2.1-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-53d96fbc3b
Comment 8 Fedora Update System 2015-11-29 17:20:48 EST
jreen-1.2.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update jreen'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-53d96fbc3b
Comment 9 Fedora Update System 2015-11-29 18:53:03 EST
jreen-1.2.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update jreen'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ffe6710f5c
Comment 10 Fedora Update System 2015-12-08 14:53:17 EST
jreen-1.2.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-12-08 16:23:01 EST
jreen-1.2.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Pavel Alexeev 2016-01-06 08:14:15 EST
Thank you.

Note You need to log in before you can comment on or make changes to this bug.